dvd.h File Reference

Go to the source code of this file.

## Macros

#define | DRIVE_CDROM_CAPS_DVDRW 1
#define | DRIVE_CDROM_CAPS_DVDRDL 2
#define | DRIVE_CDROM_CAPS_DVDPLUSR 4
#define | DRIVE_CDROM_CAPS_DVDPLUSRW 8
#define | DRIVE_CDROM_CAPS_DVDPLUSRWDL 16
#define | DRIVE_CDROM_CAPS_DVDPLUSRDL 32
#define | DRIVE_CDROM_CAPS_BDROM 64
#define | DRIVE_CDROM_CAPS_BDR 128
#define | DRIVE_CDROM_CAPS_BDRE 256
#define | DRIVE_CDROM_CAPS_HDDVDROM 512
#define | DRIVE_CDROM_CAPS_HDDVDR 1024
#define | DRIVE_CDROM_CAPS_HDDVDRW 2048

## Functions

int | get_dvd_profile (int fd)

## Macro Definition Documentation

## DRIVE_CDROM_CAPS_BDR

#define DRIVE_CDROM_CAPS_BDR 128

Referenced by add_cdrom_info(), and get_dvd_profile().

## DRIVE_CDROM_CAPS_BDRE

#define DRIVE_CDROM_CAPS_BDRE 256

Referenced by add_cdrom_info(), and get_dvd_profile().

## DRIVE_CDROM_CAPS_BDROM

#define DRIVE_CDROM_CAPS_BDROM 64

Referenced by add_cdrom_info(), and get_dvd_profile().

## DRIVE_CDROM_CAPS_DVDPLUSR

#define DRIVE_CDROM_CAPS_DVDPLUSR 4

Referenced by add_cdrom_info(), and get_dvd_profile().

## DRIVE_CDROM_CAPS_DVDPLUSRDL

#define DRIVE_CDROM_CAPS_DVDPLUSRDL 32

Referenced by add_cdrom_info(), and get_dvd_profile().

## DRIVE_CDROM_CAPS_DVDPLUSRW

#define DRIVE_CDROM_CAPS_DVDPLUSRW 8

Referenced by add_cdrom_info(), and get_dvd_profile().

## DRIVE_CDROM_CAPS_DVDPLUSRWDL

#define DRIVE_CDROM_CAPS_DVDPLUSRWDL 16

Referenced by add_cdrom_info(), and get_dvd_profile().

## DRIVE_CDROM_CAPS_DVDRDL

#define DRIVE_CDROM_CAPS_DVDRDL 2

Referenced by add_cdrom_info(), and get_dvd_profile().

## DRIVE_CDROM_CAPS_DVDRW

#define DRIVE_CDROM_CAPS_DVDRW 1

Referenced by add_cdrom_info(), and get_dvd_profile().

## DRIVE_CDROM_CAPS_HDDVDR

#define DRIVE_CDROM_CAPS_HDDVDR 1024

Referenced by add_cdrom_info(), and get_dvd_profile().

## DRIVE_CDROM_CAPS_HDDVDROM

#define DRIVE_CDROM_CAPS_HDDVDROM 512

Referenced by add_cdrom_info(), and get_dvd_profile().

## DRIVE_CDROM_CAPS_HDDVDRW

#define DRIVE_CDROM_CAPS_HDDVDRW 2048

Referenced by add_cdrom_info(), and get_dvd_profile().

## Function Documentation

## get_dvd_profile()

int get_dvd_profile | ( | int | fd | ) |

References DRIVE_CDROM_CAPS_BDR, DRIVE_CDROM_CAPS_BDRE, DRIVE_CDROM_CAPS_BDROM, DRIVE_CDROM_CAPS_DVDPLUSR, DRIVE_CDROM_CAPS_DVDPLUSRDL, DRIVE_CDROM_CAPS_DVDPLUSRW, DRIVE_CDROM_CAPS_DVDPLUSRWDL, DRIVE_CDROM_CAPS_DVDRDL, DRIVE_CDROM_CAPS_DVDRW, DRIVE_CDROM_CAPS_HDDVDR, DRIVE_CDROM_CAPS_HDDVDROM, DRIVE_CDROM_CAPS_HDDVDRW, READ, scsi_command_free(), scsi_command_init(), scsi_command_new_from_fd(), and scsi_command_transport().

Referenced by add_cdrom_info().